Knowledge Base

Do you support PECL?

We do not support PECL (PHP Extension Community Library) packages on shared hosting accounts, but you can install them on a dedicated server or VPS.

There are a few reasons why we do not support PECL on shared hosting accounts:

  • If PECL packages contain serious bugs, they can break PHP itself. Because PECL packages are third-party add-ons, there is a risk that they have not been tested as thoroughly as the base PHP libraries.
  • PECL packages require recompilation every time the PHP version is upgraded. This requirement adds time and complexity to upgrades, and also increases the risk of incompatibilities between PECL components and the base PHP libraries.
  • Most popular PECL libraries are eventually included with PHP after they have proven their stability.

More Information

For more information about PECL, please visit http://pecl.php.net.